Subject: bug#46047: 28.0.50; Namazu-based mail searching not working anymore

From: Eric Abrahamsen <[email-masked]>
Date: Sat, 23 Jan 2021 14:26:41 -0800

Eric Abrahamsen <[email-masked]> writes:

> Torsten Bronger <[email-masked]> writes:
>
>> Hallöchen!
>>
>> Eric Abrahamsen writes:
>>
>>> [...]
>>>
>>> Thanks for the report. I haven't provided obsolete aliases for all of
>>> the old nnir-<engine>-* variables, as that would be quite a pile, but if
>>> that's annoying to enough people I can.
>>
>> Thank you for your quick reaction.  FWIW, I don’t care about
>> reverting.  If I find a solution that only works with newest Emacs,
>> that’s fine.  However, this is only me.
>>
>>> If you're not planning to revert to an earlier Emacs, it would be
>>> easiest just to switch to setting
>>> `gnus-search-namazu-index-directory'.  If you are planning to
>>> revert, you could always set both. Alternately, you could set the
>>> index directory within the server definition itself, like so:
>>>
>>> '((nnml "" (nnir-search-engine namazu
>>>              (nnir-namazu-index-directory "/var/lib/namazu/"))))
>>
>> Franky, I don’t understand all this really.  I'm driving blindfolded
>> a bit.  Anyway, I put
>>
>> (setq gnus-secondary-select-methods
>>       '((nnml "" (nnir-search-engine namazu
>>                                      (nnir-namazu-index-directory "/var/lib/namazu/")))))
>> (setq gnus-search-namazu-index-directory "/var/lib/namazu/")
>>
>> in my .gnus.
>
> Sorry if I wasn't clear -- I *can* provide backwards-compatible code to
> handle the above, but I haven't yet. If you don't care about downgrading
> Emacs, I would use the above, but take off the "nnir-namazu-" prefix, ie
> just:
>
> (index-directory "/var/lib/namazu/")
>
>>> [...]
>>>
>>> nnselect-run currently downgrades errors to messages (then reports
>>> no messages found), so if there's really something blowing up, you
>>> might see it in your *Messages* buffer.
>>
>> The *Messages* buffer says:
>>
>> nnselect-run: gnus-search-run-query on ((search-query-spec (query .
>> testquery) (raw)) (search-group-spec (nnml: nnml:KFA))) gave error
>> (unbound-slot gnus-search-namazu #<gnus-search-namazu
>> gnus-search-namazu-157f858a8568> index-directory oref)
>> Group nnselect:nnselect-87a6sztnu9.fsf contains no messages
>
> Perfect, this is the real bug, thank you. I'll get this fixed soon.

Okay, that ought to be fixed, but you'll still need to change your
config either to set `gnus-search-namazu-index-directory', or to set the
'index-directory' key in your server definition.

Please let me know if you can confirm the fix!

Thanks,
Eric